Summary:        Compile and link C code for Perl modules
Name:           perl-ExtUtils-CBuilder
Version:        0.280236
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-CBuilder
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/ExtUtils-CBuilder-%{version}.tar.gz
Patch0:         ExtUtils-CBuilder-0.280230-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch
BuildArch:      noarch
# build
BuildRequires:  make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76, perl(strict), perl(warnings), gcc, gcc-c++
# Run-time:
BuildRequires:  perl-devel, perl(Config), perl(Cwd), perl(DynaLoader), perl(File::Basename), perl(File::Path)
BuildRequires:  perl(File::Spec) >= 3.13, perl(File::Temp), perl(IPC::Cmd), perl(Perl::OSType) >= 1, perl(Text::ParseWords)
# Tests:
BuildRequires:  perl(Test::More) >= 0.47
Requires:       gcc
Requires:       gcc-c++
Requires:       perl-devel
Requires:       perl(DynaLoader)
Requires:       perl(ExtUtils::Mksymlists) >= 6.30
Requires:       perl(File::Spec) >= 3.13
Requires:       perl(Perl::OSType) >= 1

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Spec|Perl::OSType)\\)$

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.



%prep
%autosetup -n ExtUtils-CBuilder-%{version} -p1

for F in t/*.t; do
    perl -MConfig -i -pe 's/\A#!.*perl/$Config{startperl}/' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}

%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes CONTRIBUTING README README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.280236-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.280236-5
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.280236-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.280236-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.280236-2
- fix bug of reversion

* Mon Aug 22 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.280236-1
- Initial building.
